SetDeprecationQuery
curl --request PUT \
--url https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"resolverQl": "<string>",
"etag": "<string>",
"reason": "<string>"
}
'import requests
url = "https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query"
payload = {
"actor": {
"name": "<string>",
"email": { "userEmail": "jsmith@example.com" }
},
"resolverQl": "<string>",
"etag": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor: {name: '<string>', email: {userEmail: 'jsmith@example.com'}},
resolverQl: '<string>',
etag: '<string>',
reason: '<string>'
})
};
fetch('https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'actor' => [
'name' => '<string>',
'email' => [
'userEmail' => 'jsmith@example.com'
]
],
'resolverQl' => '<string>',
'etag' => '<string>',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query"
payload := strings.NewReader("{\n \"actor\": {\n \"name\": \"<string>\",\n \"email\": {\n \"userEmail\": \"jsmith@example.com\"\n }\n },\n \"resolverQl\": \"<string>\",\n \"etag\": \"<string>\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actor\": {\n \"name\": \"<string>\",\n \"email\": {\n \"userEmail\": \"jsmith@example.com\"\n }\n },\n \"resolverQl\": \"<string>\",\n \"etag\": \"<string>\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actor\": {\n \"name\": \"<string>\",\n \"email\": {\n \"userEmail\": \"jsmith@example.com\"\n }\n },\n \"resolverQl\": \"<string>\",\n \"etag\": \"<string>\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"query": {
"resolverQl": "<string>",
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"updatedAt": "2023-01-15T01:30:15.01Z",
"reason": "<string>"
}
}synq.entities.marks.v1alpha.EntityMarksService
SetDeprecationQuery
Replace the deprecation query of the workspace. An empty query clears it. The query selects entities of any owner, so only SCOPE_ENTITY_MARKS_EDIT changes it.
PUT
/
api
/
entities
/
marks
/
v1alpha
/
deprecation-query
SetDeprecationQuery
curl --request PUT \
--url https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"resolverQl": "<string>",
"etag": "<string>",
"reason": "<string>"
}
'import requests
url = "https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query"
payload = {
"actor": {
"name": "<string>",
"email": { "userEmail": "jsmith@example.com" }
},
"resolverQl": "<string>",
"etag": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor: {name: '<string>', email: {userEmail: 'jsmith@example.com'}},
resolverQl: '<string>',
etag: '<string>',
reason: '<string>'
})
};
fetch('https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'actor' => [
'name' => '<string>',
'email' => [
'userEmail' => 'jsmith@example.com'
]
],
'resolverQl' => '<string>',
'etag' => '<string>',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query"
payload := strings.NewReader("{\n \"actor\": {\n \"name\": \"<string>\",\n \"email\": {\n \"userEmail\": \"jsmith@example.com\"\n }\n },\n \"resolverQl\": \"<string>\",\n \"etag\": \"<string>\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actor\": {\n \"name\": \"<string>\",\n \"email\": {\n \"userEmail\": \"jsmith@example.com\"\n }\n },\n \"resolverQl\": \"<string>\",\n \"etag\": \"<string>\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/marks/v1alpha/deprecation-query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actor\": {\n \"name\": \"<string>\",\n \"email\": {\n \"userEmail\": \"jsmith@example.com\"\n }\n },\n \"resolverQl\": \"<string>\",\n \"etag\": \"<string>\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"query": {
"resolverQl": "<string>",
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"updatedAt": "2023-01-15T01:30:15.01Z",
"reason": "<string>"
}
}Authorizations
Body
application/json